\chapter*{Dodatak 2: Kodovi ispitivanja sustava}
	\addcontentsline{toc}{chapter}{Dodatak 2: Kodovi ispitivanja sustava}
	
	\begin{lstlisting}[label=code:AllTheMessages, caption=AllTheMessages Code]
public class Automation {

public static void main(String args[]) throws
	MalformedURLException, InterruptedException {

//setup

DesiredCapabilities dc = new DesiredCapabilities();

dc.setCapability(MobileCapabilityType.DEVICE_NAME,
	 "emulator-5554");
dc.setCapability( "platformName", "android");
dc.setCapability( "appPackage", "hr.fer.opp.zabavanet");
dc.setCapability("appActivity", 
	".view.splash.SplashActivity");

AndroidDriver<AndroidElement> ad = 
	new AndroidDriver<AndroidElement>
		(new URL("http://127.0.0.1:4723/wd/hub"), 
			dc);

//login

MobileElement el1 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/text_email");
el1.sendKeys("dgb.extra000@gmail.com");
MobileElement el2 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/text_password");
el2.sendKeys("budala555");
MobileElement el3 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_login");
el3.click();
Thread.sleep(3000);

//start creating an event

MobileElement el4 = (MobileElement) 
	ad.findElementByAccessibilityId("My events");
el4.click();
MobileElement el5 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/fab_add_event");
el5.click();
Thread.sleep(1000);

//add start time

MobileElement el6 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_edit_start_time");
el6.click();
MobileElement el7 = (MobileElement) 
	ad.findElementById("android:id/button1");
el7.click();
Thread.sleep(500);
MobileElement el8 = (MobileElement) 
	ad.findElementById("android:id/button1");
el8.click();

//what happens if we try putting lower date as end 
	time than the start time
//add end time

MobileElement el9 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_edit_end_time");
el9.click();
Thread.sleep(500);
MobileElement el10 = (MobileElement) 
	ad.findElementByAccessibilityId("02 January 2020");
el10.click();
MobileElement el11 = (MobileElement) 
	ad.findElementById("android:id/button1");
el11.click();
MobileElement el12 = (MobileElement) 
	ad.findElementById("android:id/button1");
el12.click();
//we get the message on the screen that we can't do this

//we fill in the end time

MobileElement el13 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_edit_end_time");
el13.click();
Thread.sleep(500);
MobileElement el14 = (MobileElement) 
	ad.findElementByAccessibilityId("31 January 2020");
el14.click();
MobileElement el15 = (MobileElement) 
	ad.findElementById("android:id/button1");
el15.click();
MobileElement el16 = (MobileElement) 
	ad.findElementById("android:id/button1");
el16.click();


//we try saving the event with just start time and end time

MobileElement el17 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_save_event");
el17.click();


//we also need at least one picture

MobileElement el18 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_add_images");
el18.click();
Thread.sleep(500);
MobileElement el19 = (MobileElement) 
	ad.findElementById("com.android.documentsui
		:id/icon_thumb");
el19.click();

//we scroll down to see the save button

Thread.sleep(1500);
TouchAction touchAction1 = new TouchAction(ad);
touchAction1.press(ElementOption.element(el13))
	.waitAction(WaitOptions
		.waitOptions(Duration.ofMillis(500)))
			.moveTo(ElementOption.element(el6))
				.release().perform();

//we try saving the event

MobileElement el20 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_save_event");
el20.click();

//we also need to have event type

MobileElement el21 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_edit_event_types");
el21.click();
MobileElement el22 = (MobileElement) 
	ad.findElementByXPath("/hierarchy/android.widget
		.FrameLayout/" + "android.widget.FrameLayout/
		android.widget.FrameLayout/android.widget
		.LinearLayout/" + "android.widget.FrameLayout
		/android.widget.ListView
		/android.widget.CheckedTextView[3]");
el22.click();
MobileElement el23 = (MobileElement) 
	ad.findElementById("android:id/button1");
el23.click();

//we try saving the event
Thread.sleep(500);
MobileElement el24 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_save_event");
el24.click();

//add exact address
MobileElement el50 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/text_event_address");
el50.sendKeys("Iz grada");

// we need to fill all fields, we add event title 
	and description

MobileElement el25 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/text_event_title");
el25.sendKeys("testtest");
MobileElement el26 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/text_event_description");
el26.sendKeys("opis testa");

//we save the event now

MobileElement el27 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_save_event");
el27.click();
}
}		
	\end{lstlisting}
	
	\eject
	
	\begin{lstlisting}[label=code:TooManyPictures, caption=TooManyPictures Code]
public class TooManyPictures {

public static void main(String args[]) throws 
	MalformedURLException, InterruptedException {

//setup

DesiredCapabilities dc = new DesiredCapabilities();

dc.setCapability(MobileCapabilityType.DEVICE_NAME, 
	"emulator-5554");
dc.setCapability( "platformName", "android");
dc.setCapability( "appPackage", "hr.fer.opp.zabavanet");
dc.setCapability("appActivity", 
	".view.splash.SplashActivity");

AndroidDriver<AndroidElement> ad = 
	new AndroidDriver<AndroidElement>
		(new URL("http://127.0.0.1:4723/wd/hub"), 
			dc);

//login

MobileElement el1 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/text_email");
el1.sendKeys("dgb.extra000@gmail.com");
MobileElement el2 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/text_password");
el2.sendKeys("budala555");
MobileElement el3 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_login");
el3.click();
Thread.sleep(3000);

//start creating an event

MobileElement el4 = (MobileElement) 
	ad.findElementByAccessibilityId("My events");
el4.click();
MobileElement el5 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/fab_add_event");
el5.click();
Thread.sleep(1000);

//let's add 10 pictures

MobileElement el6 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_add_images");
el6.click();
Thread.sleep(500);
MobileElement el7 = (MobileElement) 
	ad.findElementByXPath("/hierarchy/android.widget
	.FrameLayout/" +
	"android.widget.FrameLayout/android.widget
	.FrameLayout/android.view.ViewGroup/" +
	"android.support.v4.widget.DrawerLayout/android
	.widget.LinearLayout/android.widget.FrameLayout/"
	+ "android.widget.LinearLayout/android.widget
	.FrameLayout/android.widget.LinearLayout/" +
	"android.view.ViewGroup/android.support.v7.widget
	.RecyclerView/android.widget.LinearLayout[1]/
	" + "android.widget.RelativeLayout/android
	.widget.FrameLayout/android.widget
	.ImageView");
el7.click();
Thread.sleep(1000);
MobileElement el8 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_add_images");
el8.click();
Thread.sleep(500);
MobileElement el9 = (MobileElement) 
	ad.findElementByXPath("/hierarchy/android.widget.
	FrameLayout/" +
	"android.widget.FrameLayout/android.widget
	.FrameLayout/android.view.ViewGroup/" +
	"android.support.v4.widget.DrawerLayout/android
	.widget.LinearLayout/android.widget.FrameLayout
	/" + "android.widget.LinearLayout/android.widget
	.FrameLayout/android.widget.LinearLayout/" +
	"android.view.ViewGroup/android.support.v7.widget
	.RecyclerView/android.widget.LinearLayout[2]/" +
	"android.widget.RelativeLayout/android.widget.
	FrameLayout/android.widget.ImageView[1]");
el9.click();
Thread.sleep(1000);
MobileElement el10 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_add_images");
el10.click();
Thread.sleep(500);
MobileElement el11 = (MobileElement) 
	ad.findElementByXPath("/hierarchy/android.widget.
	FrameLayout/" +
	"android.widget.FrameLayout/android.widget
	.FrameLayout/android.view.ViewGroup/" +
	"android.support.v4.widget.DrawerLayout/android
	.widget
	.LinearLayout/android.widget.FrameLayout/" +
	"android.widget.LinearLayout/android.widget
	.FrameLayout/android.widget.LinearLayout/" +
	"android.view.ViewGroup/android.support.v7.widget
	.RecyclerView/android.widget.LinearLayout[1]/" +
	"android.widget.RelativeLayout/android.widget
	.FrameLayout/android.widget.ImageView[1]");
el11.click();
Thread.sleep(1000);
MobileElement el12 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_add_images");
el12.click();
Thread.sleep(500);
MobileElement el13 = (MobileElement) 
	ad.findElementByXPath("/hierarchy/android.widget
	.FrameLayout/" +
	"android.widget.FrameLayout/android.widget
	.FrameLayout/android.view.ViewGroup/" +
	"android.support.v4.widget.DrawerLayout
	/android.widget.LinearLayout/android.widget
	.FrameLayout/" +
	"android.widget.LinearLayout/android.widget
	.FrameLayout
	/android.widget.LinearLayout/" +
	"android.view.ViewGroup/android.support.v7.widget
	.RecyclerView/android.widget.LinearLayout[1]/" +
	"android.widget.RelativeLayout/android.widget
	.FrameLayout/android.widget.ImageView[1]");
el13.click();
Thread.sleep(1000);
MobileElement el14 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_add_images");
el14.click();
Thread.sleep(500);
MobileElement el15 = (MobileElement) 
	ad.findElementByXPath("/hierarchy/android.widget
	.FrameLayout/" +
	"android.widget.FrameLayout/android.widget
	.FrameLayout/android.view.ViewGroup/" +
	"android.support.v4.widget.DrawerLayout
	/android.widget.LinearLayout/android.widget
	.FrameLayout/" + "android.widget.LinearLayout
	/android.widget.FrameLayout/android.widget
	.LinearLayout/" +
	"android.view.ViewGroup/android.support.v7.widget
	.RecyclerView/android.widget.LinearLayout[4]/" +
	"android.widget.RelativeLayout/android.widget
	.FrameLayout/android.widget.ImageView[1]");
el15.click();
Thread.sleep(1000);
MobileElement el16 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_add_images");
el16.click();
Thread.sleep(500);
MobileElement el17 = (MobileElement) 
	ad.findElementByXPath("/hierarchy/android.widget
	.FrameLayout/" +
	"android.widget.FrameLayout/android.widget.
	FrameLayout/android.view.ViewGroup/" +
	"android.support.v4.widget.DrawerLayout/
	android.widget.LinearLayout/android.widget
	.FrameLayout/" +
	"android.widget.LinearLayout/android.widget
	.FrameLayout/android.widget.LinearLayout/" +
	"android.view.ViewGroup/android.support.v7
	.widget.RecyclerView/android.widget.LinearLayout[3]/" 
	+ "android.widget.RelativeLayout/android.widget
	.FrameLayout/android.widget.ImageView[1]");
el17.click();
Thread.sleep(1000);
MobileElement el18 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_add_images");
el18.click();
Thread.sleep(500);
MobileElement el19 = (MobileElement) 
	ad.findElementByXPath("/hierarchy/android.widget
	.FrameLayout/" + "android.widget.FrameLayout
	/android.widget.FrameLayout
	/android.view.ViewGroup/" +
	"android.support.v4.widget.DrawerLayout
	/android.widget.LinearLayout/android.widget
	.FrameLayout/" + "android.widget.LinearLayout
	/android.widget.FrameLayout
	/android.widget.LinearLayout/" +
	"android.view.ViewGroup/android.support.v7.widget
	.RecyclerView/android.widget.LinearLayout[4]/" +
	"android.widget.RelativeLayout/android.widget
	.FrameLayout/android.widget.ImageView[1]");
el19.click();
Thread.sleep(1000);
MobileElement el20 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_add_images");
el20.click();
Thread.sleep(500);
MobileElement el21 = (MobileElement) 
	ad.findElementByXPath("/hierarchy/android.widget
	.FrameLayout/" +
	"android.widget.FrameLayout/android.widget
	.FrameLayout/android.view.ViewGroup/" +
	"android.support.v4.widget.DrawerLayout/android
	.widget.LinearLayout/android.widget.FrameLayout/" +
	"android.widget.LinearLayout/android.widget
	.FrameLayout/android.widget.LinearLayout/" +
	"android.view.ViewGroup/android.support.v7
	.widget.RecyclerView/android.widget.LinearLayout[1]/" 
	+ "android.widget.RelativeLayout/android
	.widget.FrameLayout/android.widget.ImageView[1]");
el21.click();
Thread.sleep(1000);
MobileElement el22 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_add_images");
el22.click();
Thread.sleep(500);
MobileElement el23 = (MobileElement) 
	ad.findElementByXPath("/hierarchy/android.widget
	.FrameLayout/" +
	"android.widget.FrameLayout/android.widget
	.FrameLayout/android.view.ViewGroup/" +
	"android.support.v4.widget.DrawerLayout/android
	.widget.LinearLayout/" +
	"android.widget.FrameLayout/android.widget
	.LinearLayout/android.widget.FrameLayout/" +
	"android.widget.LinearLayout/android.view
	.ViewGroup/android.support.v7.widget.RecyclerView/" +
	"android.widget.LinearLayout[3]/android.widget
	.RelativeLayout/android.widget.FrameLayout/" +
	"android.widget.ImageView[1]");
el23.click();
Thread.sleep(1000);
MobileElement el24 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_add_images");
el24.click();
Thread.sleep(500);
MobileElement el25 = (MobileElement) 
	ad.findElementByXPath("/hierarchy/android.widget
	.FrameLayout/" +
	"android.widget.FrameLayout/android.widget
	.FrameLayout/android.view.ViewGroup/" +
	"android.support.v4.widget.DrawerLayout/android
	.widget.LinearLayout/android.widget.FrameLayout/" +
	"android.widget.LinearLayout/android.widget
	.FrameLayout/android.widget.LinearLayout/" +
	"android.view.ViewGroup/android.support.v7
	.widget.RecyclerView/android.widget
	.LinearLayout[3]/" +
	"android.widget.RelativeLayout/android.widget
	.FrameLayout/android.widget.ImageView[1]");
el25.click();
Thread.sleep(1000);

//now let's try adding another one

MobileElement el26 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_add_images");
el26.click();
Thread.sleep(500);
MobileElement el27 = (MobileElement) 
	ad.findElementByXPath("/hierarchy/android.widget
	.FrameLayout/" +
	"android.widget.FrameLayout/android.widget
	.FrameLayout/android.view.ViewGroup/" +
	"android.support.v4.widget.DrawerLayout/android
	.widget.LinearLayout/android.widget.FrameLayout/" +
	"android.widget.LinearLayout/android.widget
	.FrameLayout/android.widget.LinearLayout/" +
	"android.view.ViewGroup/android.support.v7
	.widget.RecyclerView/android.widget.LinearLayout[1]/" 
	+ "android.widget.RelativeLayout/android.widget
	.FrameLayout/android.widget.ImageView[1]");
el27.click();
//we get a message that we can't add more pictures
}
}	
	\end{lstlisting}
	
	\eject
	
	\begin{lstlisting}[label=code:GoodTest, caption=GoodTest Code]
public class GoodExample {

public static void main(String args[]) 
	throws MalformedURLException, InterruptedException {

//setup

DesiredCapabilities dc = new DesiredCapabilities();

dc.setCapability(MobileCapabilityType.DEVICE_NAME,
	"emulator-5554");
dc.setCapability("platformName","android");
dc.setCapability("appPackage", "hr.fer.opp.zabavanet");
dc.setCapability("appActivity",
	".view.splash.SplashActivity");

AndroidDriver<AndroidElement> ad = 
	new AndroidDriver<AndroidElement>
		(new URL("http://127.0.0.1:4723/wd/hub"), 
			dc);

//login

MobileElement el1 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/text_email");
el1.sendKeys("dgb.extra000@gmail.com");
MobileElement el2 = (MobileElement)
	ad.findElementById("hr.fer.opp.zabavanet
		:id/text_password");
el2.sendKeys("budala555");
MobileElement el3 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_login");
el3.click();
Thread.sleep(3000);

//start creating event

MobileElement el4 = (MobileElement) 
	ad.findElementByAccessibilityId("My events");
		el4.click();
MobileElement el5 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/fab_add_event");
el5.click();
Thread.sleep(1000);

//add picture

MobileElement el6 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_add_images");
el6.click();
Thread.sleep(1000);
MobileElement el7 = (MobileElement) 
	ad.findElementById("com.android.documentsui
		:id/icon_thumb");
el7.click();
Thread.sleep(1000);

//add title and description

MobileElement el8 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/text_event_title");
el8.sendKeys("test");
MobileElement el9 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/text_event_description");
el9.sendKeys("test");

//add exact address
MobileElement el50 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/text_event_address");
el50.sendKeys("Iz grada");



//add event type

MobileElement el10 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_edit_event_types");
el10.click();
MobileElement el11 = (MobileElement) 
	ad.findElementByXPath("/hierarchy/android.widget
	.FrameLayout/" + "android.widget.FrameLayout
	/android.widget.FrameLayout/android.widget
	.LinearLayout/" + "android.widget.FrameLayout
	/android.widget.ListView
	/android.widget.CheckedTextView[3]");
el11.click();
MobileElement el12 = (MobileElement) 
	ad.findElementById("android:id/button1");
el12.click();

//add start time

MobileElement el13 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_edit_start_time");
el13.click();
MobileElement el14 = (MobileElement) 
	ad.findElementByAccessibilityId("14 January 2020");
el14.click();
MobileElement el15 = (MobileElement) 
	ad.findElementById("android:id/button1");
el15.click();
MobileElement el16 = (MobileElement) 
	ad.findElementById("android:id/button1");
el16.click();

//add end time

MobileElement el17 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_edit_end_time");
el17.click();
MobileElement el18 = (MobileElement) 
	ad.findElementByAccessibilityId("22 January 2020");
el18.click();
MobileElement el19 = (MobileElement) 
	ad.findElementById("android:id/button1");
el19.click();
MobileElement el20 = ad.findElementById("android
	:id/button1");
el20.click();
Thread.sleep(1000);
//scroll to see the save button

TouchAction touchAction = new TouchAction(ad);
	touchAction.press(ElementOption.element(el17))
	.waitAction(WaitOptions.waitOptions
	(Duration.ofMillis(500)))
	.moveTo(ElementOption.element(el13))
	.release().perform();

//save the created event

MobileElement el21 = (MobileElement) 
	ad.findElementById("hr.fer.opp.zabavanet
		:id/btn_save_event");
el21.click();
Thread.sleep(1000);

MobileElement el22 = (MobileElement) 
	ad.findElementByXPath("//android.widget.FrameLayout" 
		+ "[@content-desc=\"Events\"]
			/android.widget.ImageView");
el22.click();
}
}	
	\end{lstlisting}